Page MenuHomePhabricator

Improve the clarity of transactions that affect policies and spaces during object creation
ClosedPublic

Authored by epriestley on Dec 17 2015, 6:36 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jan 11, 2:47 AM
Unknown Object (File)
Dec 22 2022, 1:30 AM
Unknown Object (File)
Dec 19 2022, 10:41 PM
Unknown Object (File)
Dec 15 2022, 3:43 AM
Unknown Object (File)
Nov 22 2022, 10:20 AM
Unknown Object (File)
Nov 11 2022, 11:55 AM
Unknown Object (File)
Nov 11 2022, 5:22 AM
Unknown Object (File)
Nov 10 2022, 9:26 PM
Subscribers
None

Details

Summary

Ref T10004. Fixes T9527. Currently, we render two kinds of bad policy/space transactions during object creation.

First, we render a transaction showing a change from the default policy/space to the selected policy/space:

alice shifted this object from space S1 Default to space S2 Secret.

This is a good transaction (it's showing that the default was changed, which could be important for policy stuff!) but it's confusing because it makes it sound like the object briefly existed in space S1, when it did not.

Instead, render this:

alice created this object in space S2 Secret.

This retains the value (show that the object was created in an unusual space) without the confusion.

Second, when you create a "New Bug Report", we render a transaction like this:

alice changed the visibility of this task from "All Users" to "Community".

This is distracting and not useful, becasue it's a locked default of the form. This was essentially fixed by D14810. The new behavior is to show this, only if the value was changed from the form value:

alice created this object with visibility "Administrators".

This should reduce confusion, reduce fluff in the default cases, and do a better job of calling out important changes (basically, unusual spaces/policies).

Test Plan
  • Created an edit form with a default space and policies.
  • Used that form to create task with:
    • same values as form;
    • different values from form.

When I changed the form value, I got transactions. When I left it the same, I didn't.

The transactions rendered in the non-confusing "created with ..." variant.

Editing the values created normal transactions with "changed policy from X to Y".

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Improve the clarity of transactions that affect policies and spaces during object creation.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Dec 17 2015, 6:40 PM
This revision was automatically updated to reflect the committed changes.